Bug 1406500 - fork/exec .../docker-runc: no such file or directory
Summary: fork/exec .../docker-runc: no such file or directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker-latest
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-20 17:47 UTC by Ed Santiago
Modified: 2017-01-17 20:47 UTC (History)
1 user (show)

Fixed In Version: docker-latest-1.12.5-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 20:47:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0123 normal SHIPPED_LIVE Moderate: docker-latest security, bug fix, and enhancement update 2017-01-18 01:41:25 UTC

Description Ed Santiago 2016-12-20 17:47:44 UTC
docker-latest-1.12.5-5.el7 :

    # docker run centos echo hi
    /usr/bin/docker-latest: Error response from daemon: shim error: fork/exec /usr/libexec/docker/docker-runc: no such file or directory.

Suggested fix: in /usr/lib/systemd/system/docker-latest.service :

   --add-runtime docker-runc=/usr/libexec/docker/docker-runc \
   --add-runtime docker-runc=/usr/libexec/docker/docker-runc-latest \

Comment 2 Ed Santiago 2016-12-20 17:51:25 UTC
Sigh. In the comment above, please imagine that the first add-runtime line is prefixed with '-' and the second with '+'.

Comment 3 Ed Santiago 2016-12-20 18:14:58 UTC
docker-latest-1.12.5-6.el7 seems to have fixed this. Further tests in progress.

Comment 6 Luwen Su 2017-01-05 07:56:12 UTC
Works fine for me, move to verified

# docker run rhel7 echo hi
hi
# rpm -q docker-latest
docker-latest-1.12.5-8.el7.x86_64

Comment 7 errata-xmlrpc 2017-01-17 20:47:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0123.html


Note You need to log in before you can comment on or make changes to this bug.